import { EConfirmModalType } from './types/types';
import { IModalProps } from '@/components/Modal/Modal';
import { IButtonProps } from '@/components/Button/Button';
import { ComponentType } from 'react';

interface IConfirmModalProps extends IModalProps {
    confirmBtnProps?: IButtonProps;
    cancelBtnProps?: IButtonProps;
    confirmModalType?: EConfirmModalType;
    onResolve?: (result: boolean) => void;
    showCancelButton?: boolean;
    hasAlertIcon?: boolean;
}
declare const _default: ComponentType<IConfirmModalProps>;
export default _default;
