import { EComponentType, EInputType } from '@/components/FormField/types/types';
import { ChangeEvent, ReactNode } from 'react';

interface IFormFieldProps {
    Component: EComponentType;
    label?: string;
    value: string;
    name?: string;
    placeholder?: string;
    className?: string;
    errorText?: string;
    infoText?: string;
    isDisabled?: boolean;
    onChange: (e: ChangeEvent<HTMLTextAreaElement | HTMLInputElement>) => void;
    icon?: ReactNode;
    setValue: (value: string) => void;
    maxLength?: number;
    width?: string;
    height?: string;
    type?: EInputType;
}
declare const FormField: ({ Component, label, value, name, className, placeholder, errorText, infoText, isDisabled, icon, onChange, setValue, maxLength, width, height, type, }: IFormFieldProps) => import("react/jsx-runtime").JSX.Element;
export default FormField;
