import { FC } from 'react';

interface IRadioOption {
    id: number;
    title: string;
    description?: string;
    isDisabled?: boolean;
    isChecked?: boolean;
    groupName: string;
}
interface IRadioGroupProps {
    options: IRadioOption[];
    defaultValue: number;
    column: boolean;
    onChange: (id: number) => void;
}
declare const RadioGroup: FC<IRadioGroupProps>;
export default RadioGroup;
