import { ESocialButtonStyle, ESocialButtonType, ESocialIconType } from '@/components/SocialButton/types/types';
import { ReactNode } from 'react';

interface ISocialButtonProps {
    className?: string;
    type: ESocialButtonType;
    style?: ESocialButtonStyle;
    children?: ReactNode;
    onClick?: () => void;
    socialIcon?: ESocialIconType;
}
declare const SocialButton: ({ className, children, type, style, onClick, socialIcon, ...otherProps }: ISocialButtonProps) => import("react/jsx-runtime").JSX.Element;
export default SocialButton;
