import { TModalSizeType } from '@/components/Modal/types/types';
import { ComponentType } from 'react';

export interface IModalProps {
    isOpen: boolean;
    onRequestClose: () => void;
    hideCloseBtn?: boolean;
    title?: string | React.ReactNode;
    children: React.ReactNode;
    size?: TModalSizeType;
    popover?: boolean;
    classNameModal?: string;
    classNameModalHead?: string;
    shouldCloseOnOverlayClick?: boolean;
    changeDocumentOverflowStyle?: boolean;
    modalStyle?: React.CSSProperties;
    modalRef?: any;
    footer?: React.ReactNode;
}
declare const _default: ComponentType<IModalProps>;
export default _default;
